Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.application.jsp
Class JspTilesViewHandlerImpl

    java.lang.Object
      javax.faces.application.ViewHandler
          org.apache.myfaces.application.jsp.JspTilesViewHandlerImpl

public class JspTilesViewHandlerImpl
extends javax.faces.application.ViewHandler

Version:
  $Revision: 215977 $ $Date: 2005-07-12 11:56:11 -0400 (Tue, 12 Jul 2005) $
Author:
  Thomas Spiegl

Field Summary

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME`

Constructor Summary
`JspTilesViewHandlerImpl(javax.faces.application.ViewHandler viewHandler)`

Method Summary
`java.util.Locale` | `calculateLocale(javax.faces.context.FacesContext context)`
`java.lang.String` | `calculateRenderKitId(javax.faces.context.FacesContext context)`
`javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext context, java.lang.String viewId)`
`java.lang.String` | `getActionURL(javax.faces.context.FacesContext context, java.lang.String viewId)`
`java.lang.String` | `getResourceURL(javax.faces.context.FacesContext context, java.lang.String path)`
`void` | `renderView(javax.faces.context.FacesContext facesContext, javax.faces.component.UIViewRoot viewToRender)`
`javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext context, java.lang.String viewId)`
`void` | `writeState(javax.faces.context.FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspTilesViewHandlerImpl

    public JspTilesViewHandlerImpl(javax.faces.application.ViewHandler viewHandler)

Method Detail

### renderView

    public void renderView(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIViewRoot viewToRender)
                    throws java.io.IOException,
                           javax.faces.FacesException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

### calculateLocale

    public java.util.Locale calculateLocale(javax.faces.context.FacesContext context)

### calculateRenderKitId

    public java.lang.String calculateRenderKitId(javax.faces.context.FacesContext context)

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext context,
                                                       java.lang.String viewId)

### getActionURL

    public java.lang.String getActionURL(javax.faces.context.FacesContext context,
                                         java.lang.String viewId)

### getResourceURL

    public java.lang.String getResourceURL(javax.faces.context.FacesContext context,
                                           java.lang.String path)

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext context,
                                                        java.lang.String viewId)

### writeState

    public void writeState(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD